Bug 18753 - Won't boot with SMP kernel, fatal exceptions galore
Won't boot with SMP kernel, fatal exceptions galore
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i586 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-09 18:31 EDT by Greg Dunlap
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 17:53:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Dunlap 2000-10-09 18:31:57 EDT
Works OK with UP kernel;  best I can get with SMP is single-user mode
(still after lots of errors).  Even then commands randomly (but often) fail
with fatal exception.  Compiled fresh 2.2.17 kernel, still had problem.  
Even recompiled bash from source (just guessing), still not working.  

System is Tyan Tomcat IVD mobo, dual Pentium 200 (classic) CPU's, 512K
cache, 256M RAM, Diamond Fireport 40 SCSI. 

Worked fine up through Redhat 6.1, and WinNT 4 earlier.
Comment 1 Bill Nottingham 2000-10-16 12:51:13 EDT
assigning to kernel
Comment 2 Perry Harrington 2000-12-07 04:11:54 EST
A quick guess would have something to do with flakey IOAPIC support in the old
pentiums.  The MMX's were the first ones to have reliable IOAPIC support.  Since
UP uses the chipset PIC, it sidesteps the IOAPIC on CPU.

What kernel rev worked before, what doesn't now?
Comment 3 Greg Dunlap 2000-12-07 11:12:55 EST
First I ran the kernel that came with the distro, (so long ago now I forget -
2.2.16 I think).   I grabbed a copy of 2.2.16 from kernel.org, built and
installed it with SMP support and had the exact same experience.  Downloaded &
built 2.2.17 from kernel.org, same thing again.

I've downgraded to Redhat 6.2.  The XFree that came with it is flakey under SMP;
random X crashes and console lockups, but rest of system was fine (BTW I did try
two different video cards - a Permedia2-based one and am S3-virge gbased one,
same thing with both cards).  I installed the binary of XFree 4.01 from
xfree.org and it's been perfectly stable since, both with the distro's kernel
and with 2.2.17 which I am running now with SMP.  

BTW, I had the same X problems with Mandrake 7.1 on the same system, again cured
by the binaries from xfree.org.

So in a nutshell, the same kernel  will work or not work depending on the
version of Redhat, plus RH6.2 (and Mandrake 7.1 which looks to me to be based on
RH6.2) introduced X instability cured by installing XFree's own binaries.  Looks
to me like a userspace problem.

- Greg

Note You need to log in before you can comment on or make changes to this bug.